org.apache.hadoop.mapred

## Class MapTaskCompletionEventsUpdate

- java.lang.Object
- - org.apache.hadoop.mapred.MapTaskCompletionEventsUpdate

- All Implemented Interfaces:
    org.apache.hadoop.io.Writable

      @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class MapTaskCompletionEventsUpdate
      extends Object
      implements org.apache.hadoop.io.Writable

  A class that represents the communication between the tasktracker and child tasks w.r.t the map task completion events. It also indicates whether the child task should reset its events index.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapTaskCompletionEventsUpdate()`
    `MapTaskCompletionEventsUpdate(TaskCompletionEvent[] events, boolean reset)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TaskCompletionEvent[]` | `getMapTaskCompletionEvents()`
    `void` | `readFields(DataInput in)`
    `boolean` | `shouldReset()`
    `void` | `write(DataOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapTaskCompletionEventsUpdate

          public MapTaskCompletionEventsUpdate()

    - #### MapTaskCompletionEventsUpdate

          public MapTaskCompletionEventsUpdate(TaskCompletionEvent[] events,
                                               boolean reset)

  - ### Method Detail

    - #### shouldReset

          public boolean shouldReset()

    - #### getMapTaskCompletionEvents

          public TaskCompletionEvent[] getMapTaskCompletionEvents()

    - #### write

          public void write(DataOutput out)
                     throws IOException

      Specified by:
        `write` in interface `org.apache.hadoop.io.Writable`
      Throws:
        `IOException`

    - #### readFields

          public void readFields(DataInput in)
                          throws IOException

      Specified by:
        `readFields` in interface `org.apache.hadoop.io.Writable`
      Throws:
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.